package com.trafficparrot.sdk.example.responsetransformer;

import com.github.tomakehurst.wiremock.common.FileSource;
import com.github.tomakehurst.wiremock.extension.Parameters;
import com.github.tomakehurst.wiremock.extension.ResponseTransformer;
import com.github.tomakehurst.wiremock.http.Request;
import com.github.tomakehurst.wiremock.http.Response;

import java.util.Random;

import static com.github.tomakehurst.wiremock.http.HttpHeaders.noHeaders;

public class RandomServerFailure extends ResponseTransformer {
    @Override
    public Response transform(Request request, Response response, FileSource fileSource, Parameters parameters) {
        if (new Random().nextBoolean()) {
            return Response.Builder
                    .like(response)
                    .but()
                    .status(500)
                    .headers(noHeaders())
                    .body("Server error!")
                    .build();
        } else {
            return response;
        }
    }

    @Override
    public String getName() {
        return "RandomServerFailure";
    }
}
